cURL
curl -X POST 'https://api.nuntly.com/inboxes' \
-H 'Authorization: Bearer ntly_xxx' \
-H 'Content-Type: application/json' \
-d '{"address":"<address>"}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.inboxes.create({
address: '<address>',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.inboxes().create(CreateInboxRequest.builder()
.address("<address>")
.build());import requests
url = "https://api.nuntly.com/inboxes"
payload = {
"address": "<string>",
"domainId": "<string>",
"name": "<string>",
"namespaceId": "<string>",
"agentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuntly.com/inboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address' => '<string>',
'domainId' => '<string>',
'name' => '<string>',
'namespaceId' => '<string>',
'agentId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuntly.com/inboxes"
payload := strings.NewReader("{\n \"address\": \"<string>\",\n \"domainId\": \"<string>\",\n \"name\": \"<string>\",\n \"namespaceId\": \"<string>\",\n \"agentId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.nuntly.com/inboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": \"<string>\",\n \"domainId\": \"<string>\",\n \"name\": \"<string>\",\n \"namespaceId\": \"<string>\",\n \"agentId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "ibx_01kabn43yqyxn2bx4ve84mczd3",
"createdAt": "2026-03-29T12:00:00.000Z",
"domainId": "<string>",
"domainName": "<string>",
"address": "<string>",
"name": "<string>",
"namespaceId": "<string>",
"namespaceName": "<string>",
"agentId": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Inboxes
Create Inbox
Creates an inbox address on a verified domain with receiving active, or on your provided domain if none is given. Can assign a namespace and agent id.
POST
/
inboxes
cURL
curl -X POST 'https://api.nuntly.com/inboxes' \
-H 'Authorization: Bearer ntly_xxx' \
-H 'Content-Type: application/json' \
-d '{"address":"<address>"}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.inboxes.create({
address: '<address>',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.inboxes().create(CreateInboxRequest.builder()
.address("<address>")
.build());import requests
url = "https://api.nuntly.com/inboxes"
payload = {
"address": "<string>",
"domainId": "<string>",
"name": "<string>",
"namespaceId": "<string>",
"agentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuntly.com/inboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address' => '<string>',
'domainId' => '<string>',
'name' => '<string>',
'namespaceId' => '<string>',
'agentId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuntly.com/inboxes"
payload := strings.NewReader("{\n \"address\": \"<string>\",\n \"domainId\": \"<string>\",\n \"name\": \"<string>\",\n \"namespaceId\": \"<string>\",\n \"agentId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.nuntly.com/inboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": \"<string>\",\n \"domainId\": \"<string>\",\n \"name\": \"<string>\",\n \"namespaceId\": \"<string>\",\n \"agentId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "ibx_01kabn43yqyxn2bx4ve84mczd3",
"createdAt": "2026-03-29T12:00:00.000Z",
"domainId": "<string>",
"domainName": "<string>",
"address": "<string>",
"name": "<string>",
"namespaceId": "<string>",
"namespaceName": "<string>",
"agentId": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Authorizations
Use an API key from https://nuntly.com/api-keys. Required on every endpoint.
Headers
Unique key to ensure the request is processed at most once. UUIDv4 recommended.
Required string length:
1 - 255Body
application/json
The local-part of the email address (before the @).
The id of the domain for this inbox. Defaults to your provided domain when omitted.
The display name of the inbox.
The id of the namespace to assign the inbox to.
The external AI agent identifier.
Response
Created.
Show child attributes
Show child attributes
